<?php
// +-----------------------------------------------------------------------+
// | Plugin Name : Look_Like_GBO  2                                                              |
// | Plugin Version : 2.0                                                                                    |
// | File Version : 0.1                                                                                       |
// | Plugin Version author : Ex-FTB                                                               |
// | Plugin description :                                                                                  |
// | Ce plugin permet d'afficher les miniatures au survol des boutons     |
// | de navigation. This plugin allows display thumbnail under buton        |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// ***************************************
// ** Plugin Administration panel setup **
// ***************************************
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
$my_base_url = get_admin_plugin_menu_link(__FILE__);
// Setup plugin Language
load_language('plugin.lang', LLGBO_PATH);
// +-----------------------------------------------------------------------+
// |                            Tabssheet
// +-----------------------------------------------------------------------+
if (!isset($_GET['tab']))
   { $page['tab'] = 'manage';}
   else 
 {$page['tab'] = $_GET['tab'];}

$tabsheet = new tabsheet();
$tabsheet->add('manage',
               l10n('llgbo_M_manage'),
              $my_base_url.'&amp;tab=manage');
$tabsheet->add('tooltip',
               l10n('llgbo_M_tooltip'),
               $my_base_url.'&amp;tab=tooltip');
$disptabframe = 'false';
$disptabheader = 'false';	
			   
if (!isset($_POST['llgbo_frame'])   ) 
	{$disptabframe = $conf['LLGBO_SETTINGS'][0] ;} 	
	else
	{$disptabframe = $_POST['llgbo_frame'];}
if (!isset($_POST['llgbo_header'])   ) 
	{$disptabheader = $conf['LLGBO_SETTINGS'][6] ;} 	
	else
	{$disptabheader = $_POST['llgbo_header'];} 
		   
if (($disptabframe == 'true'))
{$tabsheet->add('frame',
               l10n('llgbo_M_frame'),
               $my_base_url.'&amp;tab=frame');}
			   
if (($disptabheader == 'true'))
{$tabsheet->add('header',
               l10n('llgbo_M_header'),
               $my_base_url.'&amp;tab=header');}		   

$tabsheet->assign();
if ($page['tab'] == 'manage')
{$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_adminsettings.tpl') );}
if ($page['tab'] == 'tooltip')
{$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_admintooltip.tpl') );}
if ($page['tab'] == 'frame' )
{$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_adminframe.tpl') );}
if ($page['tab'] == 'header' )
{$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_adminheader.tpl') );}
$tabsheet->select($page['tab']);
/* ****************************************************** */
/* Plugin template initialisation for admin panel display */
/* ****************************************************** */
global $template , $conf,$lang;
{$template->assign( 'LLGBO_VERSION' , LLGBO_INFO_VERSION);}
$me = get_plugin_data($plugin_id);
$template->clear_assign('LLGBOINFO');
// Load configuration settings from database


$template->append('head_elements',
		   '<script type="text/javascript" src="./plugins/look_like_gbo2/farbtastic/farbtastic.js"></script>
<link rel="stylesheet" type="text/css"
      href="./plugins/look_like_gbo2/farbtastic/farbtastic.css" />
<link rel="stylesheet" type="text/css"
      href="./plugins/look_like_gbo2/css/look_like_gbo2_admin.css" /> 
<! --- LLGBO tooltip css-->
<style type="text/css"> 
#toolTip {background:'.$conf['LLGBO_TOOLTIP'][3].';color:'.$conf['LLGBO_TOOLTIP'][5].';border:'.$conf['LLGBO_TOOLTIP'][1].'px solid '.$conf['LLGBO_TOOLTIP'][2].';padding:5px;min-height:1em;-moz-border-radius:5px} 
#toolTip p {margin:0;padding:0;color:'.$conf['LLGBO_TOOLTIP'][5].';font-size:0.8em;font-family:Verdana,Arial,Helvetica,sans-serif;text-align:left}
#toolTip title {color:'.$conf['LLGBO_TOOLTIP'][4].';text-align:center;padding:0 0 3px 0;font-weight:bold}
</style>');

 
// Update configuration settings in database
	////// SETTINGS	
if (($page['tab'] == 'manage') or   ( !isset($_GET['tab']))){
	if ( isset($_POST['submit']) )  
	{  
	if (!isset($_POST['llgbo_frame'])) {$_POST['llgbo_frame'] = 'false';} 
	if (!isset($_POST['llgbo_tooltip'])) {$_POST['llgbo_tooltip'] = 'false';}  
	if (!isset($_POST['llgbo_exifunderbt'])) {$_POST['llgbo_exifunderbt'] = 'false';}  
	if (!isset($_POST['llgbo_usemap'])) {$_POST['llgbo_usemap'] = 'false';}
	if (!isset($_POST['llgbo_usemap_thumb'])) {$_POST['llgbo_usemap_thumb'] = 'false';}
	if (!isset($_POST['llgbo_title_frame'])) {$_POST['llgbo_title_frame'] = 'false';}    
	if (!isset($_POST['llgbo_header'])) {$_POST['llgbo_header'] = 'false';} 
	if (!isset($_POST['llgbo_maintain_header'])) {$_POST['llgbo_maintain_header'] = '';}
	if (!isset($_POST['llgbo_allinfo'])) {$_POST['llgbo_allinfo'] = 'false';}
	if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';} //9	}
	 $param_llgbo = array($_POST['llgbo_frame'],
				$_POST['llgbo_tooltip'],             $_POST['llgbo_exifunderbt'],
				$_POST['llgbo_usemap'],			$_POST['llgbo_usemap_thumb'],
				$_POST['llgbo_title_frame'],			$_POST['llgbo_header'],
				$_POST['llgbo_maintain_header'],			$_POST['llgbo_allinfo'],
				$_POST['llgbo_default_navthumb']	
			);		 
	$llgbo_new_value = implode ("," , $param_llgbo);
	$query = '
	UPDATE ' . CONFIG_TABLE . '
	  SET value="'.$llgbo_new_value. '"
	  WHERE param="LLGBO"
	  LIMIT 1';
			pwg_query($query);
			 $template->assign('LLGBOINFO','llgbo_info');
			 $conf['LLGBO_SETTINGS'] = explode ("," ,$llgbo_new_value);
	}

 // Reload settings for correct display after update
	if ($conf['LLGBO_SETTINGS'][0] == 'true')
	  {$template->assign( 'LLGBO_FRAME' , 'true');} else {$template->assign( 'LLGBO_FRAME' , 'false');}
	if ($conf['LLGBO_SETTINGS'][1] == 'true') 
	  {$template->assign( 'LLGBO_TOOLTIP_DISP' , 'true');}  else  {$template->assign( 'LLGBO_TOOLTIP_DISP' , "false");}
	if ($conf['LLGBO_SETTINGS'][2]  == 'true')
	  {$template->assign('LLGBO_EXIFUNDERBT' , 'true');}  else  {$template->assign( 'LLGBO_EXIFUNDERBT' , "false");}
	if ($conf['LLGBO_SETTINGS'][3]  == 'true')
	  {$template->assign( array( 'LLGBO_USEMAP' => 'true'));}  else  { $template->assign( array( 'LLGBO_USEMAP' => "false"));}
	if ($conf['LLGBO_SETTINGS'][4]  == 'true')
	  {$template->assign( array( 'LLGBO_USEMAP_THUMB' => 'true'));}  else  { $template->assign( array( 'LLGBO_USEMAP_THUMB' => "false"));}
	if ($conf['LLGBO_SETTINGS'][5]  == 'true')
	  {$template->assign( array( 'LLGBO_TITLE_FRAME' => 'true'));}  else {  $template->assign( array( 'LLGBO_TITLE_FRAME' => "false"));}
	if ($conf['LLGBO_SETTINGS'][6] == 'true')
	  {$template->assign( array( 'LLGBO_HEADER' => 'true'));}  else  { $template->assign( array( 'LLGBO_HEADER' => "false"));}
	$template->assign(array( 'LLGBO_MAINTAIN_HEADER' => $conf['LLGBO_SETTINGS'][7]));
	if ($conf['LLGBO_SETTINGS'][8]  == 'true')
	  {$template->assign(array( 'LLGBO_ALLINFO' => 'true'));}  else {  $template->assign( array( 'LLGBO_ALLINFO' => "false"));} 
	if ($conf['LLGBO_SETTINGS'][9] == 'true')
	  {$template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => 'true'));}  else  { $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => "false"));}
}
///////////////////////////////////////////////////////////////////////////////////////
//// TOOLTIP		
///////////////////////////////////////////////////////////////////////////////////////
if ($page['tab'] == 'tooltip') {
	if ( isset($_POST['save'])  or isset($_POST['preview']))  
	{  
        if (!isset($_POST['llgbo_tooltip_width'])) {$_POST['llgbo_tooltip_width'] = '150';}  
		if (!isset($_POST['llgbo_tooltip_size'])) {$_POST['llgbo_tooltip_size'] = '2';}   
		if (!isset($_POST['llgbo_tooltip_bordercolor'])) {$_POST['llgbo_tooltip_bordercolor'] = '#fff';}   
		if (!isset($_POST['llgbo_tooltip_backgroundcolor'])) {$_POST['llgbo_tooltip_backgroundcolor'] = '#000';}  
		if (!isset($_POST['llgbo_tooltip_titlecolor'])) {$_POST['llgbo_tooltip_titlecolor'] = '#c92';}  
		if (!isset($_POST['llgbo_tooltip_color'])) {$_POST['llgbo_tooltip_color'] = '#dadada';}   
		  
		 $param_llgbo_tooltip = array(
					$_POST['llgbo_tooltip_width'],			$_POST['llgbo_tooltip_size'] ,	
					$_POST['llgbo_tooltip_bordercolor'], 	$_POST['llgbo_tooltip_backgroundcolor'],
					$_POST['llgbo_tooltip_titlecolor'],		$_POST['llgbo_tooltip_color']);		 
		$llgbo_newtooltip_value = implode ("," , $param_llgbo_tooltip);
		
		if ( isset($_POST['save']) )
				 {   $query = '
				UPDATE ' . CONFIG_TABLE . '
				  SET value="'.$llgbo_newtooltip_value.'"
				  WHERE param="LLGBOTOOLTIP"
				  LIMIT 1';
						pwg_query($query);
				 $template->assign('LLGBOINFO','llgbo_info');
				 }
		$conf['LLGBO_TOOLTIP'] = explode ("," ,$llgbo_newtooltip_value);
	}
 // Reload settings for correct display after update
 if (isset($conf['LLGBO_TOOLTIP'][0])) {$template->assign(array( 'LLGBO_TOOLTIP_WIDTH' => $conf['LLGBO_TOOLTIP'][0]));}
 if (isset($conf['LLGBO_TOOLTIP'][1])) {$template->assign(array( 'LLGBO_TOOLTIP_SIZE' => $conf['LLGBO_TOOLTIP'][1]));}
 if (isset($conf['LLGBO_TOOLTIP'][2])) {$template->assign(array( 'LLGBO_TOOLTIP_BORDERCOLOR' => $conf['LLGBO_TOOLTIP' ][2]));}
 if (isset($conf['LLGBO_TOOLTIP'][3])) {$template->assign(array( 'LLGBO_TOOLTIP_BACKGROUNDCOLOR' => $conf['LLGBO_TOOLTIP'][3]));}
 if (isset($conf['LLGBO_TOOLTIP'][4])) {$template->assign(array( 'LLGBO_TOOLTIP_TITLECOLOR' => $conf['LLGBO_TOOLTIP'][4]));}
 if (isset($conf['LLGBO_TOOLTIP'][5])) {$template->assign(array( 'LLGBO_TOOLTIP_COLOR' => $conf['LLGBO_TOOLTIP'][5]));}
}

///////////////////////////////////////////////
/////              FRAME
/////////////////////////////////////////////////
if ($page['tab'] == 'frame') {
	if ( isset($_POST['save'])  or isset($_POST['preview']))  
	{  
	if (!isset($_POST['llgbo_title_frame_color'])) {$_POST['llgbo_title_frame_color'] = '#16195f';}  
	 for ($i = 0   ;$i < 16  ; $i++)
		{ 	if (!isset($_POST['llgbo_frame_bdcolor'.$i])) {$_POST['llgbo_frame_bdcolor'.$i] = '#fff' ;}    
			if (!isset($_POST['llgbo_frame_bdsize'.$i])) {$_POST['llgbo_frame_bdsize'.$i] = '1' ;} 
		}
	  
	 $param_llgbo_frame = array(		
				$_POST['llgbo_title_frame_color'],
				$_POST['llgbo_frame_bdcolor0'],			$_POST['llgbo_frame_bdsize0'], 
				$_POST['llgbo_frame_bdcolor1'], 		$_POST['llgbo_frame_bdsize1'],	
				$_POST['llgbo_frame_bdcolor2'],			$_POST['llgbo_frame_bdsize2'],
				$_POST['llgbo_frame_bdcolor3'],			$_POST['llgbo_frame_bdsize3'],
				$_POST['llgbo_frame_bdcolor4'],			$_POST['llgbo_frame_bdsize4'],
				$_POST['llgbo_frame_bdcolor5'],			$_POST['llgbo_frame_bdsize5'],
				$_POST['llgbo_frame_bdcolor6'],			$_POST['llgbo_frame_bdsize6'],
				$_POST['llgbo_frame_bdcolor7'],			$_POST['llgbo_frame_bdsize7'],
				$_POST['llgbo_frame_bdcolor8'],			$_POST['llgbo_frame_bdsize8'],
				$_POST['llgbo_frame_bdcolor9'],			$_POST['llgbo_frame_bdsize9'],
				$_POST['llgbo_frame_bdcolor10'],		$_POST['llgbo_frame_bdsize10'],
				$_POST['llgbo_frame_bdcolor11'],		$_POST['llgbo_frame_bdsize11'],
				$_POST['llgbo_frame_bdcolor12'],		$_POST['llgbo_frame_bdsize12'],
				$_POST['llgbo_frame_bdcolor13'],		$_POST['llgbo_frame_bdsize13'],
				$_POST['llgbo_frame_bdcolor14'],		$_POST['llgbo_frame_bdsize14'],
				$_POST['llgbo_frame_bdcolor15'],		$_POST['llgbo_frame_bdsize15']
			);		 
			$llgbo_newframe_value = implode ("," , $param_llgbo_frame);
	
		if ( isset($_POST['save']) )
			 { 
			 $query = '
			UPDATE ' . CONFIG_TABLE . '
			  SET value="'.$llgbo_newframe_value.'"
			  WHERE param="LLGBOFRAME"
			  LIMIT 1';
				pwg_query($query);
		$template->assign('LLGBOINFO','llgbo_info'); 
		}
		$conf['LLGBO_FRAME'] = explode ("," ,$llgbo_newframe_value );
	
}
 // FRAME
	   if (isset($conf['LLGBO_FRAME'][0])) {$template->assign(array( 'LLGBO_TITLE_FRAME_COLOR' => $conf['LLGBO_FRAME'][0]));}
	 for ($i = 0   ;$i < 16  ; $i++)
		{ $x = 1 + ( 2 * $i);
			if (isset($conf['LLGBO_FRAME'][$x])) {$template->assign(array( 'LLGBO_FRAME_BDCOLOR'.$i => $conf['LLGBO_FRAME'][$x]));}
			if (isset($conf['LLGBO_FRAME'][$x+1])) {$template->assign(array( 'LLGBO_FRAME_BDSIZE'.$i => $conf['LLGBO_FRAME'][$x+1]));}
		}
///  re draw frame after update 
  Draw_frame();
}
///////////////////////////////////////////////
/////            HEADER
/////////////////////////////////////////////////
if ($page['tab'] == 'header') {
	if ( isset($_POST['submit'])) 
	{   if (!isset($_POST['llgbo_header_home'])) {$_POST['llgbo_header_home'] = 'true';}  
		if (!isset($_POST['llgbo_header_category'])) {$_POST['llgbo_header_category'] = 'true';}   
		if (!isset($_POST['llgbo_header_category_filter_recent'])) {$_POST['llgbo_header_category_filter_recent'] = 'true';}   
		if (!isset($_POST['llgbo_header_category_flat'])) {$_POST['llgbo_header_category_flat'] = 'true';}  
		if (!isset($_POST['llgbo_header_category_posted_monthly'])) {$_POST['llgbo_header_category_posted_monthly'] = 'true';}  
		if (!isset($_POST['llgbo_header_picture'])) {$_POST['llgbo_header_picture'] = 'true';} 
	    if (!isset($_POST['llgbo_header_additional_page'])) {$_POST['llgbo_header_additional_page'] = 'true';}  
		if (!isset($_POST['llgbo_header_most_visited'])) {$_POST['llgbo_header_most_visited'] = 'true';} 
		if (!isset($_POST['llgbo_header_best_rated'])) {$_POST['llgbo_header_best_rated'] = 'true';}  
		if (!isset($_POST['llgbo_header_list'])) {$_POST['llgbo_header_list'] = 'true';}  	
		if (!isset($_POST['llgbo_header_recent_pics'])) {$_POST['llgbo_header_recent_pics'] = 'true';}   
		if (!isset($_POST['llgbo_header_created_monthly_calendar'])) {$_POST['llgbo_header_created_monthly_calendar'] = 'true';}  
		if (!isset($_POST['llgbo_header_tags'])) {$_POST['llgbo_header_tags'] = 'true';}  
		if (!isset($_POST['llgbo_header_search'])) {$_POST['llgbo_header_search'] = 'true';}   
	    if (!isset($_POST['llgbo_header_comments'])) {$_POST['llgbo_header_comments'] = 'true';}  
		if (!isset($_POST['llgbo_header_about'])) {$_POST['llgbo_header_about'] = 'true';}   
		if (!isset($_POST['llgbo_header_notification'])) {$_POST['llgbo_header_notification'] = 'true';}   
		if (!isset($_POST['llgbo_header_register'])) {$_POST['llgbo_header_register'] = 'true';}  
		if (!isset($_POST['llgbo_header_identification'])) {$_POST['llgbo_header_identification'] = 'true';} 
		if (!isset($_POST['llgbo_header_favorites'])) {$_POST['llgbo_header_favorites'] = 'true';} 
		if (!isset($_POST['llgbo_header_recent_cats'])) {$_POST['llgbo_header_recent_cats'] = 'true';} 		
	 		
		  
		 $param_llgbo_header = array(
					$_POST['llgbo_header_home'],	$_POST['llgbo_header_category'] ,
					$_POST['llgbo_header_category_filter_recent'],	$_POST['llgbo_header_category_flat'],
					$_POST['llgbo_header_category_posted_monthly'],	$_POST['llgbo_header_picture'],
					$_POST['llgbo_header_additional_page'],	$_POST['llgbo_header_most_visited'],
					$_POST['llgbo_header_best_rated'] , $_POST['llgbo_header_list'],
					$_POST['llgbo_header_recent_pics'],		$_POST['llgbo_header_created_monthly_calendar'],
					$_POST['llgbo_header_tags'],		$_POST['llgbo_header_search'],
					$_POST['llgbo_header_comments'],		$_POST['llgbo_header_about'],
					$_POST['llgbo_header_notification'], $_POST['llgbo_header_register'],
					$_POST['llgbo_header_identification'], $_POST['llgbo_header_favorites'],
					$_POST['llgbo_header_recent_cats']);
		$llgbo_newheader_value = implode ("," , $param_llgbo_header);
		
		  $query = '
				UPDATE ' . CONFIG_TABLE . '
				  SET value="'.$llgbo_newheader_value.'"
				  WHERE param="LLGBOHEADER"
				  LIMIT 1';
						pwg_query($query);
				 $template->assign('LLGBOINFO','llgbo_info');
				 
		$conf['LLGBO_HEADER'] = explode ("," ,$llgbo_newheader_value);
	}
 // Reload settings for correct display after update
 if (isset($conf['LLGBO_HEADER'][0])) {$template->assign(array( 'LLGBO_HEADER_HOME' => $conf['LLGBO_HEADER'][0]));}
 if (isset($conf['LLGBO_HEADER'][1])) {$template->assign(array( 'LLGBO_HEADER_CATEGORY' => $conf['LLGBO_HEADER'][1]));}
 if (isset($conf['LLGBO_HEADER'][2])) {$template->assign(array( 'LLGBO_HEADER_CATEGORY_FILTER_RECENT' => $conf['LLGBO_HEADER' ][2]));}
 if (isset($conf['LLGBO_HEADER'][3])) {$template->assign(array( 'LLGBO_HEADER_CATEGORY_FLAT' => $conf['LLGBO_HEADER'][3]));}
 if (isset($conf['LLGBO_HEADER'][4])) {$template->assign(array( 'LLGBO_HEADER_CATEGORY_POSTED_MONTHLY' => $conf['LLGBO_HEADER'][4]));}
 if (isset($conf['LLGBO_HEADER'][5])) {$template->assign(array( 'LLGBO_HEADER_PICTURE' => $conf['LLGBO_HEADER'][5]));}
 if (isset($conf['LLGBO_HEADER'][6])) {$template->assign(array( 'LLGBO_HEADER_ADDITIONAL_PAGE' => $conf['LLGBO_HEADER'][6]));}
 if (isset($conf['LLGBO_HEADER'][7])) {$template->assign(array( 'LLGBO_HEADER_MOST_VISITED' => $conf['LLGBO_HEADER'][7]));}
 if (isset($conf['LLGBO_HEADER'][8])) {$template->assign(array( 'LLGBO_HEADER_BEST_RATED' => $conf['LLGBO_HEADER' ][8]));}
 if (isset($conf['LLGBO_HEADER'][9])) {$template->assign(array( 'LLGBO_HEADER_LIST' => $conf['LLGBO_HEADER' ][9]));}
 if (isset($conf['LLGBO_HEADER'][10])) {$template->assign(array( 'LLGBO_HEADER_RECENT_PICS' => $conf['LLGBO_HEADER'][10]));}
 if (isset($conf['LLGBO_HEADER'][11])) {$template->assign(array( 'LLGBO_HEADER_TAGS' => $conf['LLGBO_HEADER'][11]));}
 if (isset($conf['LLGBO_HEADER'][12])) {$template->assign(array( 'LLGBO_HEADER_CREATED_MONTHLY_CALENDAR' => $conf['LLGBO_HEADER'][12]));}
 if (isset($conf['LLGBO_HEADER'][13])) {$template->assign(array( 'LLGBO_HEADER_SEARCH' => $conf['LLGBO_HEADER'][13]));}
 if (isset($conf['LLGBO_HEADER'][14])) {$template->assign(array( 'LLGBO_HEADER_COMMENTS' => $conf['LLGBO_HEADER'][14]));}
 if (isset($conf['LLGBO_HEADER'][15])) {$template->assign(array( 'LLGBO_HEADER_ABOUT' => $conf['LLGBO_HEADER'][15]));}
 if (isset($conf['LLGBO_HEADER'][16])) {$template->assign(array( 'LLGBO_HEADER_NOTIFICATION' => $conf['LLGBO_HEADER' ][16]));}
 if (isset($conf['LLGBO_HEADER'][17])) {$template->assign(array( 'LLGBO_HEADER_REGISTER' => $conf['LLGBO_HEADER'][17]));}
 if (isset($conf['LLGBO_HEADER'][18])) {$template->assign(array( 'LLGBO_HEADER_IDENTIFICATION' => $conf['LLGBO_HEADER'][18]));}
 if (isset($conf['LLGBO_HEADER'][19])) {$template->assign(array( 'LLGBO_HEADER_FAVORITES' => $conf['LLGBO_HEADER'][19]));}
 if (isset($conf['LLGBO_HEADER'][20])) {$template->assign(array( 'LLGBO_HEADER_RECENT_CATS' => $conf['LLGBO_HEADER'][20]));}

 }

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'llgbo_admin_content');
//////////////////////////
function Draw_frame()
	{global $conf ,$template;
	$bd = 0; 
	$frame_begin ='';
	$frame_end='';
		
	for ($i = 0   ;$i < 16  ; $i++)
	{ $x = 1 + ( 2 * $i);

	if ((isset($conf['LLGBO_FRAME'][$x+1])) and  ($conf['LLGBO_FRAME'][$x+1] > 0))
	{  $frame_begin = '<div id="gbo'.$i.'"  style="border: '.$conf['LLGBO_FRAME'][$x+1].'px solid '.$conf['LLGBO_FRAME'][$x].'">'."\n".$frame_begin;
	 $frame_end = $frame_end .' </div>';	  }

	 }
	$template->assign('FRAME_BEGIN', $frame_begin);
	$template->assign('FRAME_END', $frame_end); 
	}
?>